#
#  GNU Makefile for some Waterloo TCP sample applications
#  Gisle Vanem 2004
#
#  Target:
#    GNU C 3+ (MingW)
#

.SUFFIXES: .exe

#
# Set to 1 to link using static libwatt32.a
#
STATIC_LIB = 0

#
# Define 'MAKE_MAP = 1' if you like a .map-file
#
MAKE_MAP = 0

CC      = gcc
CFLAGS  = -Wall -W -O2 -I../inc

ifneq ($(USE_MPATROL),)
  LDFLAGS = -s
endif

ifeq ($(STATIC_LIB),1)
  CFLAGS  += -DWATT32_STATIC
  LDFLAGS += -Wl,--enable-stdcall-fixup
  WATT_LIB = ../lib/libwatt32.a
  ifneq ($(USE_MPATROL),)
  # CFLAGS += -DUSE_MPATROL
    EX_LIBS = -lmpatrolmt -lbfd -liberty -limagehlp
  endif
else
  WATT_LIB = ../lib/libwatt32.dll.a
endif

ifeq ($(MAKE_MAP),1)
  MAPFILE = -Wl,--print-map,--sort-common,--cref 2> $*.map
endif

PROGS = ping.exe     popdump.exe  rexec.exe   tcpinfo.exe  cookie.exe   \
        daytime.exe  dayserv.exe  finger.exe  host.exe     lpq.exe      \
        lpr.exe      ntime.exe    ph.exe      stat.exe     htget.exe    \
        revip.exe    vlsm.exe     whois.exe   wol.exe      eth-wake.exe \
        ident.exe    country.exe

all: $(PROGS)
	@echo MingW32 binaries done

%.exe: %.c $(WATT_LIB)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $*.exe $^ $(EX_LIBS) $(MAPFILE)

clean:
	rm -f $(PROGS)
#
# These are needed for MSYS' make (sigh)
#
ping.exe:     ping.c
popdump.exe:  popdump.c
rexec.exe:    rexec.c
tcpinfo.exe:  tcpinfo.c
cookie.exe:   cookie.c
daytime.exe:  daytime.c
dayserv.exe:  dayserv.c
finger.exe:   finger.c
host.exe:     host.c
lpq.exe:      lpq.c
lpr.exe:      lpr.c
ntime.exe:    ntime.c
ph.exe:       ph.c
stat.exe:     stat.c
htget.exe:    htget.c
revip.exe:    revip.c
vlsm.exe:     vlsm.c
whois.exe:    whois.c
wol.exe:      wol.c
eth-wake.exe: eth-wake.c
ident.exe:    ident.c
country.exe:  country.c
